ipe::PdfBool Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions

| PdfBool (bool val)
virtual const PdfBool * | boolean () const noexcept
bool | value () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber, bool inflate) const noexcept
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfNull * | null () const noexcept
virtual const PdfNumber * | number () const noexcept
virtual const PdfString * | string () const noexcept
virtual const PdfName * | name () const noexcept
virtual const PdfRef * | ref () const noexcept
virtual const PdfArray * | array () const noexcept
virtual const PdfDict * | dict () const noexcept
String | repr () const noexcept

## Detailed Description

The PDF bool object.

## Constructor & Destructor Documentation

## PdfBool()

ipe::PdfBool::PdfBool | ( | bool | val | ) |

inline explicit

References ipe::PdfObj::boolean().

## Member Function Documentation

## boolean()

const PdfBool * PdfBool::boolean | ( |  | ) | const

virtual noexcept

Return this object as PDF bool object.

Reimplemented from ipe::PdfObj.

## value()

bool ipe::PdfBool::value | ( |  | ) | const

inline noexcept

References ipe::PdfObj::write().

## write()

void PdfBool::write | ( | Stream & | stream,
|  | const PdfRenumber * | renumber,
|  | bool | inflate
| ) |  | const

virtual noexcept

Implements ipe::PdfObj.

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp